<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ChangePasswordRequest StructType
 * @subpackage Structs
 */
class ChangePasswordRequest extends AbstractStructBase
{
    /**
     * The changePassword
     * @var \StructType\ChangePassword
     */
    public $changePassword;
    /**
     * Constructor method for ChangePasswordRequest
     * @uses ChangePasswordRequest::setChangePassword()
     * @param \StructType\ChangePassword $changePassword
     */
    public function __construct(\StructType\ChangePassword $changePassword = null)
    {
        $this
            ->setChangePassword($changePassword);
    }
    /**
     * Get changePassword value
     * @return \StructType\ChangePassword|null
     */
    public function getChangePassword()
    {
        return $this->changePassword;
    }
    /**
     * Set changePassword value
     * @param \StructType\ChangePassword $changePassword
     * @return \StructType\ChangePasswordRequest
     */
    public function setChangePassword(\StructType\ChangePassword $changePassword = null)
    {
        $this->changePassword = $changePassword;
        return $this;
    }
}
